## radicle-native-ci 0.1.0.ci20240315T085131

=== debian/changelog ===
radicle-native-ci (0.1.0.ci20240315T085131-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 15 Mar 2024 08:51:31 +0000

radicle-native-ci (0.1.0-1) unstable; urgency=medium

  * First release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 25 Sep 2023 08:34:08 +0300

## radicle-native-ci 0.1.0.ci20240514T150322

=== debian/changelog ===
radicle-native-ci (0.1.0.ci20240514T150322-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 14 May 2024 15:03:23 +0000

## radicle-native-ci 0.1.0.ci20240606T115228

=== debian/changelog ===
radicle-native-ci (0.1.0.ci20240606T115228-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 06 Jun 2024 11:52:28 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	true

override_dh_auto_install:
	cargo install --offline --path=. --root=debian/radicle-native-ci
	rm -f debian/*/.crates*.*

override_dh_auto_test:
	echo tests are disabled, for now

## radicle-native-ci 0.1.0.ci20240622T174806

=== debian/changelog ===
radicle-native-ci (0.1.0.ci20240622T174806-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 22 Jun 2024 17:48:07 +0000

## radicle-native-ci 0.1.0.ci20240718T065200

=== debian/changelog ===
radicle-native-ci (0.1.0.ci20240718T065200-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 18 Jul 2024 06:52:00 +0000

## radicle-native-ci 0.5.0.ci20241229T064751

=== debian/changelog ===
radicle-native-ci (0.5.0.ci20241229T064751-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 29 Dec 2024 06:47:51 +0000

radicle-native-ci (0.5.0) unstable; urgency=medium

  * New release. See NEWS.md for details.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 05 Dec 2024 13:27:43 +0200

radicle-native-ci (0.4.0) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 22 Nov 2024 09:25:24 +0200

## radicle-native-ci 0.11.1.ci20250906T053533

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20250906T053533-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 06 Sep 2025 05:35:33 +0000

radicle-native-ci (0.11.1-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 28 Jul 2025 10:51:54 +0300

radicle-native-ci (0.11.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 05 Jun 2025 09:58:59 +0300

radicle-native-ci (0.10.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 22 Apr 2025 07:24:02 +0300

radicle-native-ci (0.9.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 26 Mar 2025 09:39:08 +0200

radicle-native-ci (0.8.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 18 Feb 2025 13:47:08 +0200

radicle-native-ci (0.7.0) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 03 Feb 2025 08:56:16 +0200

radicle-native-ci (0.6.0) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 07 Jan 2025 14:37:06 +0200

## radicle-native-ci 0.11.1.ci20250913T055807

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20250913T055807-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 13 Sep 2025 05:58:07 +0000

## radicle-native-ci 0.11.1.ci20250920T121639

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20250920T121639-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 20 Sep 2025 12:16:39 +0000

## radicle-native-ci 0.11.1.ci20250922T060531

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20250922T060531-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 22 Sep 2025 06:05:31 +0000

## radicle-native-ci 0.11.1.ci20250922T073621

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20250922T073621-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 22 Sep 2025 07:36:21 +0000

## radicle-native-ci 0.11.1.ci20251003T081733

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251003T081733-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 03 Oct 2025 08:17:34 +0000

## radicle-native-ci 0.11.1.ci20251004T040138

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251004T040138-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 04 Oct 2025 04:01:39 +0000

## radicle-native-ci 0.11.1.ci20251010T070736

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251010T070736-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 07:07:36 +0000

## radicle-native-ci 0.11.1.ci20251013T081737

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251013T081737-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 08:17:37 +0000

## radicle-native-ci 0.11.1.ci20251013T095042

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251013T095042-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 09:50:42 +0000

## radicle-native-ci 0.11.1.ci20251013T103344

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251013T103344-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 10:33:44 +0000

## radicle-native-ci 0.11.1.ci20251014T113000

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251014T113000-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:30:00 +0000

## radicle-native-ci 0.11.1.ci20251014T120521

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251014T120521-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 12:05:21 +0000

## radicle-native-ci 0.11.1.ci20251014T152035

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251014T152035-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:20:35 +0000

## radicle-native-ci 0.11.1.ci20251014T155723

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251014T155723-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:57:23 +0000

## radicle-native-ci 0.11.1.ci20251102T072609

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251102T072609-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 07:26:09 +0000

## radicle-native-ci 0.11.1.ci20251209T155402

=== Makefile ===
.SUFFIXES: .uml .svg .pik .md .html

.md.html:
	pandoc --toc --standalone --self-contained $< -o $@

.uml.svg:
	plantuml -tsvg --output=. $<

.pik.svg:
	pikchr-cli $< > $@.tmp
	mv $@.tmp $@

all: architecture.html

architecture.html: architecture.svg test.svg

## radicle-native-ci 0.11.1.ci20251102T154146

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251102T154146-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 15:41:46 +0000

=== debian/control ===
Source: radicle-native-ci
Maintainer: The Radicle Team <team@radicle.xyz>
Uploaders: Lars Wirzenius <liw@liw.fi>
Section: vcs
Priority: optional
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 10~),
  asciidoctor
Homepage: https://radicle.xyz/

Package: radicle-native-ci
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, git
Description: native continuous integration for Radicle
 Radicle is a secure, decentralized and powerful alternative to code
 forges such as GitHub and GitLab that preserves user sovereignty and
 freedom.
 .
 Radicle native CI provides a simple CI engine for Radicle nodes.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	true

override_dh_auto_install:
	cargo install --offline --locked --path=. --root=debian/radicle-native-ci/usr --bin radicle-native-ci
	find debian -name '.crates*' -delete

override_dh_auto_test:
	echo tests are disabled, for now

## radicle-native-ci 0.11.1.ci20251107T153409

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251107T153409-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 07 Nov 2025 15:34:09 +0000

## radicle-native-ci 0.11.1.ci20251110T084202

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251110T084202-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 10 Nov 2025 08:42:02 +0000

## radicle-native-ci 0.11.1.ci20251111T071620

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251111T071620-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 11 Nov 2025 07:16:20 +0000

## radicle-native-ci 0.11.1.ci20251112T140300

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251112T140300-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 14:03:01 +0000

## radicle-native-ci 0.11.1.ci20251112T152659

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251112T152659-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 15:26:59 +0000

## radicle-native-ci 0.11.1.ci20251114T153647

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251114T153647-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 15:36:47 +0000

## radicle-native-ci 0.11.1.ci20251115T053751

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251115T053751-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 15 Nov 2025 05:37:51 +0000

## radicle-native-ci 0.11.1.ci20251116T063254

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251116T063254-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 16 Nov 2025 06:32:54 +0000

## radicle-native-ci 0.11.1.ci20251124T105722

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251124T105722-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 24 Nov 2025 10:57:23 +0000

## radicle-native-ci 0.11.1.ci20251125T153119

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251125T153119-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 15:31:19 +0000

## radicle-native-ci 0.11.1.ci20251130T074137

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251130T074137-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 30 Nov 2025 07:41:37 +0000

## radicle-native-ci 0.11.1.ci20251203T075045

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251203T075045-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 03 Dec 2025 07:50:46 +0000

## radicle-native-ci 0.11.1.ci20251204T084258

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251204T084258-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 04 Dec 2025 08:42:58 +0000

## radicle-native-ci 0.11.1.ci20251208T124147

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251208T124147-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 08 Dec 2025 12:41:47 +0000

## radicle-native-ci 0.11.1.ci20251209T155402

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251209T155402-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 09 Dec 2025 15:54:02 +0000

## radicle-native-ci 0.11.1.ci20251215T063400

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251215T063400-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 06:34:01 +0000

## radicle-native-ci 0.11.1.ci20251221T045914

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251221T045914-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 04:59:14 +0000

## radicle-native-ci 0.11.1.ci20251221T064213

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20251221T064213-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 06:42:13 +0000

## radicle-native-ci 0.11.1.ci20260105T123246

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20260105T123246-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 05 Jan 2026 12:32:46 +0000

## radicle-native-ci 0.11.1.ci20260112T130122

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20260112T130122-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 12 Jan 2026 13:01:22 +0000

## radicle-native-ci 0.11.1.ci20260112T133357

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20260112T133357-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 12 Jan 2026 13:33:57 +0000

## radicle-native-ci 0.11.1.ci20260114T125218

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20260114T125218-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 14 Jan 2026 12:52:18 +0000

## radicle-native-ci 0.11.1.ci20260118T135042

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20260118T135042-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 18 Jan 2026 13:50:42 +0000

## radicle-native-ci 0.11.1.ci20260120T122246

=== debian/changelog ===
radicle-native-ci (0.11.1.ci20260120T122246-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 20 Jan 2026 12:22:46 +0000

## radicle-native-ci 0.12.0.ci20260120T170634

=== debian/changelog ===
radicle-native-ci (0.12.0.ci20260120T170634-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 20 Jan 2026 17:06:34 +0000

radicle-native-ci (0.12.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 20 Jan 2026 12:00:13 +0200

## radicle-native-ci 0.12.0.ci20260123T072510

=== debian/changelog ===
radicle-native-ci (0.12.0.ci20260123T072510-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 23 Jan 2026 07:25:10 +0000

## radicle-native-ci 0.12.0.ci20260125T073809

=== debian/changelog ===
radicle-native-ci (0.12.0.ci20260125T073809-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 25 Jan 2026 07:38:10 +0000

## radicle-native-ci 0.12.0.ci20260204T100941

=== debian/changelog ===
radicle-native-ci (0.12.0.ci20260204T100941-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 04 Feb 2026 10:09:41 +0000
